Subject: bug#15987: 24.3; diary-add-to-list ignored by diary-mark-entries

From: "Roland Winkler" <[email-masked]>
Date: Wed, 21 Aug 2019 11:46:05 -0500

On Wed Aug 21 2019 Stephen Berman wrote:
> Ah, now I remember you told me about this previously (more than two and
> a half years ago).  As I said back then, if this requires changing how
> todo-mode entries are added to the fancy diary display, it may take some
> effort.  But if the consensus is that this is a good change for Emacs,
> then I'm sure todo-mode can adapt to it.

(I believe the earlier email exchange was between you and me, and
not recorded as part of this thread.)

The problem is that diary-goto-entry-function is not easily
extensible: todo-mode is "hijacking" this variable for its purposes.
So this variable cannot easily be used anymore by another package.
What I am suggesting will allow more easily that multiple packages
can each do more easily their own thing: a text property tells
diary-goto-entry how it should branch out.

Does this make sense?  Or are there yet better solutions?